View Issue Details

IDProjectCategoryView StatusLast Update
0020660mantisbtcsvpublic2016-06-12 00:42
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020660: CSV export for issues from View Issues page doesn't handle unicode characters
Description

The unicode characters are not handled correctly. This causes them to be messed up.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 120d4510

2016-03-03 22:33:11

vboctor

Details Diff
Fix unicode encoding for csv exports

Fixes 0020659
Fixes 0020660
mod - billing_export_to_csv.php Diff File
mod - core/csv_api.php Diff File
mod - csv_export.php Diff File

MantisBT: master 851786e1

2016-03-05 17:31:49

vboctor

Details Diff
Fix duplicate BOM and use constant for BOM
mod - billing_export_to_csv.php Diff File
mod - core/constant_inc.php Diff File
mod - core/csv_api.php Diff File
mod - csv_export.php Diff File

MantisBT: master dd91ca48

2016-03-05 17:36:33

vboctor

Details Diff
Remove 'csv_add_bom' config option
mod - billing_export_to_csv.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/obsolete.php Diff File
mod - csv_export.php Diff File
mod - docbook/Admin_Guide/en-US/config/misc.xml Diff File

MantisBT: master 08e4f846

2016-03-05 17:42:12

vboctor

Details Diff
Use api for csv separator and newline
mod - billing_export_to_csv.php Diff File

MantisBT: master 56d4c718

2016-03-05 17:53:44

vboctor

Details Diff
Add csv_start() api to handle headers and bom
mod - billing_export_to_csv.php Diff File
mod - core/csv_api.php Diff File
mod - csv_export.php Diff File

MantisBT: master 77ce90b4

2016-06-08 16:32:54

atrol

Details Diff
Correct PHPdoc

Issue 0020660
mod - core/csv_api.php Diff File

Issue History

Date Modified Username Field Change
2016-03-03 21:25 vboctor New Issue
2016-03-03 21:25 vboctor Status new => assigned
2016-03-03 21:25 vboctor Assigned To => vboctor
2016-03-03 22:35 vboctor Note Added: 0052648
2016-03-03 23:11 vboctor Summary csv export for issues from View Issues page doesn't handle unicode characters => CSV export for issues from View Issues page doesn't handle unicode characters
2016-03-04 05:58 s venky Issue cloned: 0020664
2016-03-07 11:00 vboctor Changeset attached => MantisBT master 120d4510
2016-03-07 11:00 vboctor Status assigned => resolved
2016-03-07 11:00 vboctor Resolution open => fixed
2016-03-07 11:00 vboctor Fixed in Version => 1.3.0-rc.2
2016-03-07 11:04 vboctor Changeset attached => MantisBT master 851786e1
2016-03-07 11:04 vboctor Changeset attached => MantisBT master dd91ca48
2016-03-07 11:04 vboctor Changeset attached => MantisBT master 08e4f846
2016-03-07 11:04 vboctor Changeset attached => MantisBT master 56d4c718
2016-06-08 16:32 atrol Changeset attached => MantisBT master 77ce90b4
2016-06-12 00:42 vboctor Status resolved => closed